View Issue Details

IDProjectCategoryView StatusLast Update
0003685FreeCADBugpublic2018-12-16 09:57
ReporterNealEhardtAssigned Towmayer 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionno change required 
PlatformWindowsOSWindows 10OS Version1803
Product Version0.18 
Target VersionFixed in Version0.18 
Summary0003685: No Spaceball Present
DescriptionI'm using a 3dconnexion SpaceNavigator with 3dxware version 17.5.10. None of the 6 axes will rotate or translate the model.

This is a regression from FreeCAD 0.17.13541, where the SpaceNavigator works correctly.
Steps To ReproduceTools > Customize > Spaceball Motion
Settings missing; instead it shows "No Spaceball Present"
Additional InformationOS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.15184 (Git)
Build type: Release
Branch: master
Hash: 9e2acc477cc8806f5b7ff13160f40c207a82aa50
Python version: 2.7.14
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.2.0
Locale: English/UnitedStates (en_US)

Tags3dconnexion

Activities

Kunda1

2018-12-10 13:31

administrator   ~0012254

@wmayer can you comment when you get a chance?

Kunda1

2018-12-10 13:33

administrator   ~0012255

@NealEhardt Please please please open a forum thread next time (as we mention in the enormous yellow banner at the top of every bugtracker page)

NealEhardt

2018-12-10 23:44

reporter   ~0012259

@Kunda1 Sorry for not reading the banner carefully, I will open a forum thread next time.

Good news! This bug is fixed in latest version 0.18.15363 (Git). Thank you, devs.

Issue History

Date Modified Username Field Change
2018-11-12 20:25 NealEhardt New Issue
2018-11-20 21:49 Kunda1 Tag Attached: 3dconnexion
2018-12-10 13:31 Kunda1 Note Added: 0012254
2018-12-10 13:33 Kunda1 Note Added: 0012255
2018-12-10 23:44 NealEhardt Note Added: 0012259
2018-12-16 09:57 wmayer Assigned To => wmayer
2018-12-16 09:57 wmayer Status new => closed
2018-12-16 09:57 wmayer Resolution open => no change required
2018-12-16 09:57 wmayer Fixed in Version => 0.18